import React from "react";
import GoTrue, { User } from "gotrue-js";
declare type authChangeParam = (user?: User) => string | void;
interface NIProps {
    children: any;
    domain: string;
    onAuthChange?: authChangeParam;
}
export declare type User = User;
export default function NetlifyIdentity({ children, domain, onAuthChange }: NIProps): any;
export declare function useNetlifyIdentity(domain: string, onAuthChange?: authChangeParam): {
    user: User | undefined;
    setUser: React.Dispatch<React.SetStateAction<User | undefined>>;
    isConfirmedUser: boolean;
    isLoggedIn: boolean;
    signupUser: (email: string, password: string, data: Object) => Promise<User | undefined>;
    loginUser: (email: string, password: string, remember?: boolean) => Promise<User | undefined>;
    logoutUser: () => Promise<User | undefined>;
    requestPasswordRecovery: (email: string) => Promise<void>;
    recoverAccount: (token: string, remember?: boolean | undefined) => Promise<User>;
    updateUser: (fields: Object) => Promise<User | undefined>;
    getFreshJWT: () => Promise<string>;
    authedFetch: {
        get: (endpoint: string, obj?: {}) => Promise<any>;
        post: (endpoint: string, obj?: {}) => Promise<any>;
        put: (endpoint: string, obj?: {}) => Promise<any>;
        delete: (endpoint: string, obj?: {}) => Promise<any>;
    };
    _goTrueInstance: GoTrue;
    _domain: string;
    loginExternalUrl: (provider: string) => string;
    acceptInviteExternalUrl: (provider: string, token: string) => string;
    settings: () => Promise<import("gotrue-js").Settings>;
};
export {};
